Bug 753991 - RFE: Bugzilla link in UI
RFE: Bugzilla link in UI
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.4.3-SNAPSHOT
Unspecified Linux
unspecified Severity medium
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 22:18 EST by Joshua Wulf
Modified: 2014-10-19 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120816-1023)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:18:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2011-11-14 22:18:08 EST
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/535.2 (KHTML, like Gecko) Chrome/15.0.874.120 Safari/535.2

Can we get a link in the UI for a list of open issues, and one for opening new bugs, ala: http://skynet.bne.redhat.com. 

This would really help us in collecting user feedback for user stories.

Reproducible: Always
Comment 1 Alex Eng 2012-07-30 01:17:50 EDT
Implemented in workspace menu.

See 
https://github.com/zanata/zanata/commit/c3089ce1493c8c12b63000d650c990652935b74b
Comment 2 Alex Eng 2012-08-03 01:12:12 EDT
Implemented in main menu (new menu bar).

See 
https://github.com/zanata/zanata/commit/9daf29aedb7007c0cf8efe5601582c5dfa74319c
Comment 3 Ding-Yi Chen 2012-08-09 22:18:37 EDT
Tested with 1.8.0-SNAPSHOT (20120810-0025)

I think this bug asked 2 things:
1. A link/menuitem for current opened issues, i.e. New and assigned bugs.
2. A link/menuitem for report bugs.

This implementation does 2 but not 1, which can be view by:

https://bugzilla.redhat.com/buglist.cgi?classification=Community&query_format=advanced&status=NEW&bug_status=ASSIGNED&product=Zanata

Reassigned.
Comment 4 Alex Eng 2012-08-09 23:26:19 EDT
Added "Known issues" link on menu

See https://github.com/zanata/zanata/commit/433ba3ff9da3ac99e0206ffc1fc16f654bda58cc
Comment 5 Alex Eng 2012-08-09 23:27:10 EDT
Correction on commit link:

See https://github.com/zanata/zanata/commit/a0d5f8b237edc68bf311da76ebb0749dbb26520c
Comment 6 Ding-Yi Chen 2012-08-16 21:10:05 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120816-1023)
Comment 7 Sean Flanigan 2012-11-07 01:18:54 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.